Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_query_from_query

## Name

librdf_new_query_from_query -- Copy constructor - create a new librdf_query object from an existing one

## Synopsis

``librdf_query* `librdf_new_query_from_query`` (librdf_query* `old_query`);`

## Arguments

`old_query`

  the existing query librdf_query to use

## Description

Should create a new query in the same context as the existing one as appropriate.

## Return value

a new librdf_query object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_query | Up | librdf_new_query_from_factory